#!/bin/sh
name=$1
echo "BEFORE-TESTs: Do some manipulation with $name"

respawn_cnt=`grep "respawn limit" /etc/init/$name.conf | awk '{print $3}'`
echo "BEFORE-TESTs: respawn count is $respawn_cnt "

cnt=0
while [ $cnt -lt $respawn_cnt ] 
do
	if [ `pidof $name` ] ; then 
		kill -KILL `pidof $name`
		echo "BEFORE-TESTs: $name killed"
		sleep 3
	fi
	let "cnt+=1"
done
pidof $name || ($name && echo "BEFORE-TESTs: $name started")
echo "BEFORE-TESTs: Done with $name"

